.\"
.\" "$Id: enable.man,v 1.7 2002/12/17 18:59:56 swdev Exp $"
.\"
.\"   enable/disable man page for the Common UNIX Printing System (CUPS).
.\"
.\"   Copyright 1997-2003 by Easy Software Products.
.\"
.\"   These coded instructions, statements, and computer programs are the
.\"   property of Easy Software Products and are protected by Federal
.\"   copyright law.  Distribution and use rights are outlined in the file
.\"   "LICENSE.txt" which should have been included with this file.  If this
.\"   file is missing or damaged please contact Easy Software Products
.\"   at:
.\"
.\"       Attn: CUPS Licensing Information
.\"       Easy Software Products
.\"       44141 Airport View Drive, Suite 204
.\"       Hollywood, Maryland 20636-3111 USA
.\"
.\"       Voice: (301) 373-9603
.\"       EMail: cups-info@cups.org
.\"         WWW: http://www.cups.org
.\"
.TH enable 8 "Common UNIX Printing System" "23 January 2001" "Easy Software Products"
.SH NAME
disable, enable \- stop/start printers and classes
.SH SYNOPSIS
.B disable
[ -E ] [ \-c ] [ -h
.I server
] [ \-r
.I reason
] destination(s)
.br
.B enable
[ -E ] destination(s)
.SH DESCRIPTION
\fIenable\fR starts the named printers or classes.
.LP
\fIdisable\fR stops the named printers or classes.  The following options may
be used:
.TP 5
\-c
.br
Cancels all jobs on the named destination.
.TP 5
\-r [ \fIreason\fR ]
.br
Sets the message associated with the stopped state. If no reason is specified
then the message is set to "Reason Unknown".
.LP
The \fI-E\fR option forces encryption when connecting to the server.
.SH COMPATIBILITY
The CUPS versions of \fIdisable\fR and \fIenable\fR may ask the user for an
access password depending on the printing system configuration.  This differs
from the System V versions which require the root user to execute these
commands.
.SH SEE ALSO
accept(8), cancel(1), lp(1), lpadmin(8), lpstat(1), reject(8),
CUPS Software Administrators Manual,
http://localhost:631/documentation.html
.SH COPYRIGHT
Copyright 1993-2003 by Easy Software Products, All Rights Reserved.

.\"
.\" End of "$Id: enable.man,v 1.7 2002/12/17 18:59:56 swdev Exp $".
.\"
