.\"
.\" "$Id: filter.man,v 1.6 2003/04/28 01:42:07 mike Exp $"
.\"
.\"   filter man page for the Common UNIX Printing System (CUPS).
.\"   Based on cvs revision 1.10
.\"
.\"   Copyright 1997-2003 by Easy Software Products.
.\"
.\"   These coded instructions, statements, and computer programs are the
.\"   property of Easy Software Products and are protected by Federal
.\"   copyright law.  Distribution and use rights are outlined in the file
.\"   "LICENSE.txt" which should have been included with this file.  If this
.\"   file is missing or damaged please contact Easy Software Products
.\"   at:
.\"
.\"       Attn: CUPS Licensing Information
.\"       Easy Software Products
.\"       44141 Airport View Drive, Suite 204
.\"       Hollywood, Maryland 20636-3111 USA
.\"
.\"       Voice: (301) 373-9603
.\"       EMail: cups-info@cups.org
.\"         WWW: http://www.cups.org
.\"
.TH filter 1 "Common UNIX Printing System" "22 June 2000" "Easy Software Products"
.SH NOM
filter \- Interface des filtres de conversion de fichier de CUPS
.SH SYNOPSIS
.B filter
travail utilisateur titre nb_copies options [
.I nom_de_fichier
]
.SH DESCRIPTION
Les filtres CUPS sont une mthode standard de reconnaissance de nouveaux
formats de fichier. Un filtre doit tre capable de convertir un ou plusieurs
formats en entre, et gnrer un fichier en sortie, dont le format est soit directement
comprhensible par CUPS, soit retrait par un autre filtre pour obtenir
un format imprimable.
.LP
Ces programmes doivent tre capables de lire un fichier de la ligne de
commande ou via l'entre standard, si besoin est en recopiant son contenu
dans un fichier temporaire. Toute sortie doit tre faite sur la sortie standard.
.LP
Le nom de la commande (argv[0]) est l'URI de l'imprimante.
.SH VARIABLES D'ENVIRONNEMENT
Les variables d'environnement suivantes sont dfinies par le serveur CUPS
lors de l'excution d'un filtre\ :
.TP 5
CHARSET
.br
Le jeu de caractres par dfaut (gnralement us-ascii ou iso-8859-1).
.TP 5
CLASS
.br
Contient le nom de la classe lorsqu'un travail d'impression est envoy  une cla
sse d'imprimantes. Cette variable n'est pas dfinie si le travail d'impression n'
est pas envoy  une classe.
.TP 5
CONTENT_TYPE
.br
Le type MIME associ au fichier (ex\ : application/postscript).
.TP 5
CUPS_DATADIR
.br
Le rpertoire o se trouvent les donnes.
.TP 5
CUPS_SERVERROOT
.br
Le rpertoire racine du serveur.
.TP 5
DEVICE_URI
.br
L'URI de l'imprimante.
.TP 5
LANG
.br
La langue (gnralement C ou en).
.TP 5
PATH
.br
La liste des chemins o chercher les programmes pouvant tre excuts
par le filtre.
.TP 5
PPD
.br
Le chemin complet d'accs au fichier PPD (PostScript Printer Description)
de l'imprimante.
.TP 5
PRINTER
.br
Le nom de l'imprimante, ceci pour les scripts shells qui ne sont pas
toujours capables de rcuprer l'argument argv[0].
.TP 5
RIP_CACHE
.br
La quantit de mmoire recommande pour l'utilisation du RIP (Raster Image
Processors).
.TP 5
SOFTWARE
.br
Le nom et le numro de version du serveur (gnralement CUPS/1.1).
.TP 5
TZ
.br
Le fuseau horaire du serveur.
.TP 5
USER
.br
L'utilisateur excutant le programme (gnralement lp). Vous pouvez
trouver cette information dans le fichier cupsd.conf.
.SH COMPATIBILIT
Bien que l'interface des filtres soit compatible avec les scripts System V,
ceci ne fonctionnera qu'avec le script System V fourni via la commande
\fBlpadmin(8)\fR avec l'option \fI-i\fR.
.SH VOIR AUSSI
backend(1), cupsd(8),
CUPS Interface Design Description,
CUPS Software Administrators Manual,
CUPS Software Programmers Manual,
http://localhost:631/documentation.html
.SH COPYRIGHT
Copyright 1993-2003 Easy Software Products, Tous droits rservs.
.SH TRADUCTION
Gilles QUERRET <gilles.querret@nerim.net>
.\"
.\" End of "$Id: filter.man,v 1.6 2003/04/28 01:42:07 mike Exp $".
.\"
