.\"
.\" "$Id: lpoptions.man,v 1.5 2003/04/26 17:09:54 mike Exp $"
.\"
.\"   lpoptions man page for the Common UNIX Printing System (CUPS).
.\"   Based on cvs revision 1.11
.\"
.\"   Copyright 1997-2003 by Easy Software Products.
.\"
.\"   These coded instructions, statements, and computer programs are the
.\"   property of Easy Software Products and are protected by Federal
.\"   copyright law.  Distribution and use rights are outlined in the file
.\"   "LICENSE.txt" which should have been included with this file.  If this
.\"   file is missing or damaged please contact Easy Software Products
.\"   at:
.\"
.\"       Attn: CUPS Licensing Information
.\"       Easy Software Products
.\"       44141 Airport View Drive, Suite 204
.\"       Hollywood, Maryland 20636-3111 USA
.\"
.\"       Voice: (301) 373-9603
.\"       EMail: cups-info@cups.org
.\"         WWW: http://www.cups.org
.\"
.TH lpoptions 1 "Common UNIX Printing System" "21 octobre 2002" "Easy Software Products"
.SH NOM
lpoptions \- Affiche et dfinit les options et paramtres par dfaut d'une imprimante
.SH SYNOPSIS
.B lpoptions
[ -h
.I serveur
] -d
.I destination[/instance]
[ -o
.I option=valeur
] ... [ -o
.I option=valeur
]
.br
.B lpoptions
[ -h
.I serveur
] [ -E ] [ -p
.I destination[/instance]
] -l
.br
.B lpoptions
[ -h
.I serveur
] [ -E ] [ -o
.I option=valeur
] ... [ -o
.I option=valeur
] [ -p
.I dest[/instance]
] -r
.I option
.br
.B lpoptions
[ -h
.I serveur
] [ -E] -x
.I destination[/instance]
.SH DESCRIPTION
Lorsqu'il est lanc sans arguments, \fBlpoptions\fR affiche les options
par dfaut. Les paramtres pouvant tre fournis sont\ :
.TP 5
\-E
.br
Crypte les donnes lors de la communication avec le serveur CUPS.
.TP 5
\-d \fIdestination[/instance]\fR
.br
Dfinit \fIdestination\fR comme imprimante par dfaut. Il est galement
possible de fournir une \fIinstance\fR. Cette option redfinit
l'imprimante par dfaut de l'utilisateur en cours.
.TP 5
\-h \fIserveur\fR
.br
Dfinit le serveur CUPS avec lequel communiquer.
.TP 5
\-l
.br
Affiche les options spcifiques d'une imprimante et ses paramtrages.
.TP 5
\-o \fIoption=valeur\fR
.br
Dfinit une nouvelle option pour une destination.
.TP 5
\-p \fIdestination[/instance]\fR
.br
Dfinit les options d'une destination ou instance. Si l'instance n'existe
pas, celle-ci est cre.
.TP 5
\-r \fIoption\fR
.br
Supprime une option de la destination fournie en paramtre.
.TP 5
\-x \fIdestination[/instance]\fR
.br
Supprime toutes les options de la destination ou instance fournie en
paramtre. Si l'instance n'existe pas, la commande n'a pas d'effet.
.LP
Si aucune option n'est fournie dans la ligne de commande, les options
de l'imprimante fournie en paramtre sont affiches sur la sortie standard.
.LP
Les options dfinies par la commande \fBlpoptions\fR sont utilises par les
commandes \fBlp(1)\fR et \fBlpr(1)\fR lors de l'envoi de travaux d'impression.
.SH UTILISATION DU COMPTE ROOT
Lorsque la commande \fBlpoptions\fR est lance par l'utilisateur root, les options sont lues et sauvegardes pour \fItous les utilisateurs\fR dans le fichier
/etc/cups/lpoptions.
.SH COMPATIBILIT
La commande \fBlpoptions\fR est spcifique  CUPS.
.SH FICHIERS
~/.lpoptions - fichier cr par utilisateur et contenant ses options.
/etc/cups/lpoptions - fichier global de configuration cr par l'utilisateur root.
.SH VOIR AUSSI
cancel(1), lp(1),
CUPS Software Users Manual,
http://localhost:631/documentation.html
.SH COPYRIGHT
Copyright 1993-2003 Easy Software Products, Tous droits rservs.
.SH TRADUCTION
Gilles QUERRET <gilles.querret@nerim.net>
.\"
.\" End of "$Id: lpoptions.man,v 1.5 2003/04/26 17:09:54 mike Exp $".
.\"
