.\"
.\" "$Id: printers.conf.man,v 1.6 2002/12/17 18:59:58 swdev Exp $"
.\"
.\"   printers.conf man page for the Common UNIX Printing System (CUPS).
.\"
.\"   Copyright 1997-2003 by Easy Software Products.
.\"
.\"   These coded instructions, statements, and computer programs are the
.\"   property of Easy Software Products and are protected by Federal
.\"   copyright law.  Distribution and use rights are outlined in the file
.\"   "LICENSE.txt" which should have been included with this file.  If this
.\"   file is missing or damaged please contact Easy Software Products
.\"   at:
.\"
.\"       Attn: CUPS Licensing Information
.\"       Easy Software Products
.\"       44141 Airport View Drive, Suite 204
.\"       Hollywood, Maryland 20636-3111 USA
.\"
.\"       Voice: (301) 373-9603
.\"       EMail: cups-info@cups.org
.\"         WWW: http://www.cups.org
.\"
.TH printers.conf 5 "Common UNIX Printing System" "22 June 2000" "Easy Software Products"
.SH NAME
printers.conf \- printer configuration file for cups
.SH DESCRIPTION
The \fIprinters.conf\fR file defines the local printers that are
available. It is normally located in the \fI/etc/cups\fR directory and
is generated automatically by the \fIcupsd(8)\fR program when printers
are added or deleted.
.LP
Each line in the file can be a configuration directive, a blank line,
or a comment. Comment lines start with the # character.
.SH DIRECTIVES
.TP 5
Accepting
.br
Specifies whether or not the printer is accepting new jobs.
.TP 5
Info
.br
Specifies human-readable text describing the printer.
.TP 5
Location
.br
Specifies human-readable text describing the location of the printer.
.TP 5
DeviceURI
.br
Specifies the device URI for a printer.
.TP 5
<Printer name> ... </Printer>
.br
Defines a specific printer.
.TP 5
State
.br
Specifies the initial state of the printer (Idle or Stopped)
.TP 5
StateMessage
.br
Specifies the message associated with the state.
.SH SEE ALSO
classes.conf(5), cupsd(8), cupsd.conf(5), mime.convs(5), mime.types(5),
CUPS Software Administrators Manual,
CUPS Interface Design Description,
http://localhost:631/documentation.html
.SH COPYRIGHT
Copyright 1993-2003 by Easy Software Products, All Rights Reserved.
.\"
.\" End of "$Id: printers.conf.man,v 1.6 2002/12/17 18:59:58 swdev Exp $".
.\"
